2018-12-13 08:22 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005481GNUnethello librarypublic2018-12-02 00:50
ReporterHeiko Stamer 
Assigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005481: ISO C++ forbids forward references to 'enum' types
DescriptionThanks for fixing the previous build problem. However, a bad forward declaration in gnunet_hello_lib.h breaks my C++ application:

$ make install
Making install in src
make[1]: Verzeichnis „/home/stm/Entwicklung/dkgpg/src“ wird betreten
depbase=`echo dkg-gnunet-common.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
clang++ -DHAVE_CONFIG_H -I. -I/home/stm/include -I/home/stm/include -g -O2 -Wall -MT dkg-gnunet-common.o -MD -MP -MF $depbase.Tpo -c -o dkg-gnunet-common.o dkg-gnunet-common.cc &&\
mv -f $depbase.Tpo $depbase.Po
In file included from dkg-gnunet-common.cc:32:
In file included from ./dkg-gnunet-common.hh:55:
In file included from /home/stm/include/gnunet/gnunet_util_lib.h:62:
In file included from /home/stm/include/gnunet/gnunet_crypto_lib.h:77:
/home/stm/include/gnunet/gnunet_common.h:411:19: warning: 'format' attribute
      argument not supported: gnu_printf [-Wignored-attributes]
  __attribute__ ((format (gnu_printf, 2, 3)));
                  ^
In file included from dkg-gnunet-common.cc:32:
In file included from ./dkg-gnunet-common.hh:56:
In file included from /home/stm/include/gnunet/gnunet_transport_hello_service.h:44:
In file included from /home/stm/include/gnunet/gnunet_ats_service.h:37:
/home/stm/include/gnunet/gnunet_hello_lib.h:481:6: error: ISO C++ forbids
      forward references to 'enum' types
enum GNUNET_ATS_Network_Type;
     ^
1 warning and 1 error generated.
make[1]: *** [Makefile:790: dkg-gnunet-common.o] Fehler 1
make[1]: Verzeichnis „/home/stm/Entwicklung/dkgpg/src“ wird verlassen
make: *** [Makefile:416: install-recursive] Fehler 1

Do you have any idea how to solve this? Otherwise I suggest to move the declaration of enum GNUNET_ATS_Network_Type to some high-level header.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013368

Heiko Stamer (reporter)

At HEAD this has been resolved now ...

~0013377

Christian Grothoff (manager)

Yes, was an accident. Thanks for reporting.
+Notes

-Issue History
Date Modified Username Field Change
2018-11-22 22:11 Heiko Stamer New Issue
2018-11-27 23:14 Heiko Stamer Note Added: 0013368
2018-12-02 00:50 Christian Grothoff Assigned To => Christian Grothoff
2018-12-02 00:50 Christian Grothoff Status new => resolved
2018-12-02 00:50 Christian Grothoff Resolution open => fixed
2018-12-02 00:50 Christian Grothoff Fixed in Version => 0.11.0
2018-12-02 00:50 Christian Grothoff Note Added: 0013377
2018-12-02 00:50 Christian Grothoff Product Version => SVN HEAD
2018-12-02 00:50 Christian Grothoff Target Version => 0.11.0
+Issue History